/***** Sample gefont.c     

		This sample demonstrates loading and displaying user fonts.
		The font loaded is the partial windows font wingding
******/



/***** The next four macros determine what serial port to use, Though you can have multiple ports
		selected, for the purpose of this sample, Only one port is set up.

******/
#define	GE_USE_PORTZ1
//#define	GE_USE_PORTZ0
//#define	GE_USE_PORTA
//#define	GE_USE_PORTB

/**** Choose the baudrate here ****/
#define	BAUDRATE		9600

#use		GESUPRT.LIB						// support library for G.E.
#use		vdriver.lib						// virtual library

/**** These #ifdef statements choose the port from the above four selections ****/
#ifdef	GE_USE_PORTZ1
#define	PORT	GE_PORTZ1
#endif

#ifdef	GE_USE_PORTZ0
#define	PORT	GE_PORTZ0
#endif

#ifdef	GE_USE_PORTA
#define	PORT	GE_PORTA
#endif

#ifdef	GE_USE_PORTB
#define	PORT	GE_PORTB
#endif




/******* Font info data *******/

// Font   : Wingdings (22pt)
// Monochrome  : Black Foreground, White Background
// Mode   : Landscape
// Width  : 28 Pixels
// Height : 28 Pixels
// Range  : 0xF0..0xF8
// Init   : glXFontInit ( &fontdesc,28,28,0xF0,0xF8,Wingdings22 );

xdata Wingdings22 {
// Char = 0xF0
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x04','\x00','\x00',
'\x00','\x06','\x00','\x00',
'\x00','\x05','\x00','\x00',
'\x3F','\xFC','\x80','\x00',
'\x20','\x00','\x40','\x00',
'\x20','\x00','\x20','\x00',
'\x20','\x00','\x10','\x00',
'\x20','\x00','\x10','\x00',
'\x20','\x00','\x20','\x00',
'\x20','\x00','\x40','\x00',
'\x3F','\xFC','\x80','\x00',
'\x00','\x05','\x00','\x00',
'\x00','\x06','\x00','\x00',
'\x00','\x04','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
// Char = 0xF1
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x60','\x00','\x00',
'\x00','\x90','\x00','\x00',
'\x01','\x08','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x04','\x02','\x00','\x00',
'\x08','\x01','\x00','\x00',
'\x10','\x00','\x80','\x00',
'\x3E','\x07','\xC0','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x03','\xFC','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
// Char = 0xF2
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x01','\xFE','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x1F','\x03','\xE0','\x00',
'\x08','\x00','\x40','\x00',
'\x04','\x00','\x80','\x00',
'\x02','\x01','\x00','\x00',
'\x01','\x02','\x00','\x00',
'\x00','\x84','\x00','\x00',
'\x00','\x48','\x00','\x00',
'\x00','\x30','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
// Char = 0xF3
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x40','\x20','\x00',
'\x00','\xC0','\x30','\x00',
'\x01','\x40','\x28','\x00',
'\x02','\x40','\x24','\x00',
'\x04','\x7F','\xE2','\x00',
'\x08','\x00','\x01','\x00',
'\x10','\x00','\x00','\x80',
'\x20','\x00','\x00','\x40',
'\x20','\x00','\x00','\x40',
'\x10','\x00','\x00','\x80',
'\x08','\x00','\x01','\x00',
'\x04','\x7F','\xE2','\x00',
'\x02','\x40','\x24','\x00',
'\x01','\x40','\x28','\x00',
'\x00','\xC0','\x30','\x00',
'\x00','\x40','\x20','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
// Char = 0xF4
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x60','\x00','\x00',
'\x00','\x90','\x00','\x00',
'\x01','\x08','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x04','\x02','\x00','\x00',
'\x08','\x01','\x00','\x00',
'\x10','\x00','\x80','\x00',
'\x3E','\x07','\xC0','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x3E','\x07','\xC0','\x00',
'\x10','\x00','\x80','\x00',
'\x08','\x01','\x00','\x00',
'\x04','\x02','\x00','\x00',
'\x02','\x04','\x00','\x00',
'\x01','\x08','\x00','\x00',
'\x00','\x90','\x00','\x00',
'\x00','\x60','\x00','\x00',
// Char = 0xF5
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x3F','\xF0','\x00','\x00',
'\x20','\x20','\x00','\x00',
'\x20','\x40','\x00','\x00',
'\x20','\x20','\x00','\x00',
'\x20','\x10','\x00','\x00',
'\x20','\x08','\x00','\x00',
'\x20','\x04','\x00','\x00',
'\x28','\x02','\x00','\x00',
'\x34','\x01','\x00','\x00',
'\x22','\x00','\x80','\x00',
'\x01','\x00','\x40','\x00',
'\x00','\x80','\x80','\x00',
'\x00','\x41','\x00','\x00',
'\x00','\x22','\x00','\x00',
'\x00','\x14','\x00','\x00',
'\x00','\x08','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
// Char = 0xF6
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\xFF','\xC0','\x00',
'\x00','\x40','\x40','\x00',
'\x00','\x20','\x40','\x00',
'\x00','\x40','\x40','\x00',
'\x00','\x80','\x40','\x00',
'\x01','\x00','\x40','\x00',
'\x02','\x00','\x40','\x00',
'\x04','\x01','\x40','\x00',
'\x08','\x02','\xC0','\x00',
'\x10','\x04','\x40','\x00',
'\x20','\x08','\x00','\x00',
'\x10','\x10','\x00','\x00',
'\x08','\x20','\x00','\x00',
'\x04','\x40','\x00','\x00',
'\x02','\x80','\x00','\x00',
'\x01','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
// Char = 0xF7
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x18','\x00','\x00',
'\x00','\x26','\x00','\x00',
'\x00','\x41','\x00','\x00',
'\x00','\x80','\x80','\x00',
'\x31','\x00','\x80','\x00',
'\x3A','\x01','\x00','\x00',
'\x2C','\x06','\x00','\x00',
'\x20','\x08','\x00','\x00',
'\x20','\x10','\x00','\x00',
'\x20','\x20','\x00','\x00',
'\x20','\x40','\x00','\x00',
'\x20','\x60','\x00','\x00',
'\x20','\x20','\x00','\x00',
'\x3F','\xF0','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
// Char = 0xF8
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x03','\x80','\x00','\x00',
'\x04','\x40','\x00','\x00',
'\x08','\x20','\x00','\x00',
'\x10','\x10','\x00','\x00',
'\x10','\x08','\xC0','\x00',
'\x08','\x05','\xC0','\x00',
'\x04','\x03','\x40','\x00',
'\x03','\x00','\x40','\x00',
'\x00','\x80','\x40','\x00',
'\x00','\x40','\x40','\x00',
'\x00','\x20','\x40','\x00',
'\x00','\x60','\x40','\x00',
'\x00','\x40','\x40','\x00',
'\x00','\xFF','\xC0','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00'
};



main ()
{
	static char DispStr[20];							// String to display new font
	static int i,j;										
	VdInit();												// init Virtual library
	GEInit(PORT,BAUDRATE);								// init GEsuprt.lib
	GEStopMacro(PORT);									// Stop Any Playing Macros
	GEBackLight(PORT,1);									// Turn on Backlight
	GESetContrast(PORT,35);								// Set Contrast
	GESuperReset(PORT);									// Remove Any Previous Bitmaps,Fonts,Macros
	GESetFont(PORT,2);									// Set Initial Font for use with GEPutText
	GEClearScreen(PORT);									// Clear the display
	GEPutText(PORT,"LOADING WINGDING FONT",20,90);// Display Header 1
	
/******* GELoadFont broken down ********/	
	GELoadFont(	PORT,							// Serial Port to use
						5,							// Font ID number to assign this font
					  28,							// width of font
					  28,							// Height of font
				   0xF0,							// Starting character of font
				   0xF8,							// Ending character of font
		   Wingdings22							// pointer to xdata location of font info
		   );
		   
	GELockBuffer(PORT,0);					// Lock the display buffer
	GEClearScreen(PORT);						// Clear display
	GEPutText(PORT,"DISPLAYING SOME WINGDING",20,30);// Display Heading 1
	GEPutText(PORT,"  FONTS BELOW (28 x 28) ",20,50);// Display Heading 2
	GEPutText(PORT,"------------------------",20,70);// Display Heading 3
	GESetFont(PORT,5);						// Set Font used to New Font loaded

	/***** This loads the new font into DispStr *****/
	j = 0;										
	for (i = 0xf0 ; i<0xf9 ; i++)
	{
		DispStr[j] = i;
		j++;
	}
	DispStr[j] = '\0';
/*******************************************************/
				
	GEPutText(PORT,DispStr,40,90);		// Display the new font
	GELockBuffer(PORT,1);					// Unlock the Display Buffer

}
