/**** Sample geprimitive.c

This sample demonstrates graphics primitive commands

It uses
GEInit
GEClearScreen
GEStopMacro
GESetContrast
GEBackLight
GEPutPolygon
GEPutRectangle
GEPutCircle
GEPutLine
GEPutPixel

***/

/***** The next four macros determine what serial port to use, Though you can have multiple ports
		selected, for the purpose of this sample, Only one port is set up.

******/
#define	GE_USE_PORTZ1
//#define	GE_USE_PORTZ0
//#define	GE_USE_PORTA
//#define	GE_USE_PORTB

/**** Choose the baudrate here ****/
#define	BAUDRATE		9600

#use		GESUPRT.LIB						// support library for G.E.
#use		vdriver.lib						// virtual library

/**** These #ifdef statements choose the port from the above four selections ****/
#ifdef	GE_USE_PORTZ1
#define	PORT	GE_PORTZ1
#endif

#ifdef	GE_USE_PORTZ0
#define	PORT	GE_PORTZ0
#endif

#ifdef	GE_USE_PORTA
#define	PORT	GE_PORTA
#endif

#ifdef	GE_USE_PORTB
#define	PORT	GE_PORTB
#endif
#define	WAITFOR

#ifndef	WAITFOR

main ()
{
	static int Done;
	static int loop;
	VdInit();									// Init Virtual Library
	GEInit(PORT,BAUDRATE);					// Init Graphics Engine Support Library
	GEStopMacro(PORT);
	GEBackLight(PORT,1);
	GESetContrast(PORT,40);
	for (;;)
	{
		GEClearScreen(PORT);					// Clear Display
		GEPutPolygon(PORT,1,3,1,1,80,80,160,1);// Display a triangle filled.
		GEPutRectangle(PORT,0,165,1,318,80);	//  display a rectangle clear
		GEPutCircle(PORT,0,80,150,60);			// display a circle clear
		for (Done = 0 ; Done < 3 ; Done++)		
		{
			for (loop = 0 ; loop < 5 ; loop++)	
			{
				GEPutLine(PORT,160+(loop*10),90 + (Done*5),165+(loop*10),90+ (Done*5));// Display a line
			}
		}
		for (loop = 0; loop < 40 ; loop++) 
		{
			GEPutPixel(PORT,160 + (loop*2),150);			// Display a pixel
			GEPutPixel(PORT,240 - (loop*2),160);
		}
	}
}
#else

main ()
{
	static int Done;
	static int loop;
	static long Count;
	Count = 0;
	VdInit();									// Init Virtual Library
	GEInit(PORT,BAUDRATE);					// Init Graphics Engine Support Library
	GEStopMacro(PORT);
	GEBackLight(PORT,1);
	GESetContrast(PORT,40);
	for (;;)
	{
		costate
		{
			waitfor(GEClearScreenWF(PORT));
			waitfor(GEPutPolygonWF(PORT,1,3,1,1,80,80,160,1));
			waitfor(GEPutRectangleWF(PORT,0,165,1,318,80));
			waitfor(GEPutCircleWF(PORT,0,80,150,60));
			for (Done = 0 ; Done < 3 ; Done++)		
			{
				for (loop = 0 ; loop < 5 ; loop++)	
				{
					waitfor(GEPutLineWF(PORT,160+(loop*10),90 + (Done*5),165+(loop*10),90+ (Done*5)));// Display a line
					yield;
				}
			}
			for (loop = 0; loop < 40 ; loop++) 
			{
				waitfor(GEPutPixelWF(PORT,160 + (loop*2),150));			// Display a pixel
				waitfor(GEPutPixelWF(PORT,240 - (loop*2),160));
				yield;
			}
		}
		/**** Counting Costate for demonstrating cooperative multitasking  ***/
		costate
		{
			printf( "%ld\r",Count );
			Count++;
			waitfor( DelayMs(500) );
		}
	}
}
#endif