/***** Sample geputtext.c

	This sample runs with the Graphics Engine
	protocol program loaded on a op7100 or 
	Pk2600 display controller.  
	
	This sample will display text in four different
	directions using 3 different fonts.
	
***/

//#define	GE_USE_PORTZ0
#define	GE_USE_PORTZ1		// Serial port to use
//#define	GE_USE_PORTA
//#define	GE_USE_PORTB


#use	gesuprt.lib				// graphics engine support library
#use	vdriver.lib				// virtual library

#define	PORT	GE_PORTZ1
	
#define	RIGHTWARD	0
#define	LEFTWARD		1
#define	UPWARD		2
#define	DOWNWARD		3

#define	SMALL			1
#define	MEDIUM		2
#define	LARGE			3
main ()
{
	VdInit();						// virtual library initialization
	GEInit(PORT,9600);			// gesuprt.lib initialization
	GEClearScreen(PORT);
	GESetTextDir(PORT,RIGHTWARD);		// Change direction of text
	GESetFont(PORT,SMALL);			// Set font size
	GEPutText(PORT,"SMALL",0,0);	// Display text
	GESetTextDir(PORT,LEFTWARD);		// Change direction of text
	GESetFont(PORT,MEDIUM);			// Set font size
	GEPutText(PORT,"MEDIUM",100,20);	// Display text
	GESetTextDir(PORT,UPWARD);		// Change direction of text
	GESetFont(PORT,LARGE);			// Set font size
	GEPutText(PORT,"LARGE",30,200);	// Display text
	GESetTextDir(PORT,DOWNWARD);		// Change direction of text
	GESetFont(PORT,LARGE);			// Set font size
	GEPutText(PORT,"LARGE",180,0);	// Display text
}