/****** Sample gevkboard.c

	sample program demonstrating the use of the Virtual Keyboard
	of the Graphics Engine
	
	This sample will diplay 4 buttons
	float button
	long button
	string button
	password button
	
	Once a button is pressed, the Virtual keyboard will be displayed.
	Once a value is entered and the enter key is pressed, that value
	will be displayed underneath the 4 display buttons
	
*****/

/***** The next four macros determine what serial port to use, Though you can have multiple ports
		selected, for the purpose of this sample, Only one port is set up.

******/

#define	GE_USE_PORTZ1
//#define	GE_USE_PORTZ0
//#define	GE_USE_PORTA
//#define	GE_USE_PORTB

/**** Choose the baudrate here ****/
#define	BAUDRATE		9600

#use		GESUPRT.LIB						// support library for G.E.
#use		vdriver.lib						// virtual library

/**** These #ifdef statements choose the port from the above four selections ****/
#ifdef	GE_USE_PORTZ1
#define	PORT	GE_PORTZ1
#endif

#ifdef	GE_USE_PORTZ0
#define	PORT	GE_PORTZ0
#endif

#ifdef	GE_USE_PORTA
#define	PORT	GE_PORTA
#endif

#ifdef	GE_USE_PORTB
#define	PORT	GE_PORTB
#endif



#define	FLG_LONG		0xcb					// long flag for V.keyboard
#define	FLG_FLOAT	0xd3					// float flag for V.keyboard
#define	FLG_STRING	0x03					// string flag for V.Keyboard
#define	FLG_PASS		0x07					// Password flag for V.Keyboard
#define	FLG_BTNS		0x5f					// Button flag for gedefinebutton function

#define	BTN_FLOAT	1						// float button value
#define	BTN_LONG		2						// long button value
#define	BTN_STRING	3						// string button value
#define	BTN_PASS		4						// password button value

#define	MAC_BTNS		1						// button macro value


#define	ENABLE		1

float	maxFloat = 9999.99;					// Max float value for V.Keyboard
float minFloat = 00000.00;					// min float value for V.Keyboard

long 	maxLong	 = 9999;						// max long value for V.Keyboard
long  minLong  = 0;							// min long value for V.keyboard

main ()
{  //main
	char	Packet[255];						// String to hold the responses from the G.E. device
	char	BtnFlag;								// Flag for determining the last button pressed
	float fVal;									// last float entered from V.keyboard
	long	lVal;									// last long entered from V.keyboard
	char	sVal[25];							// last string entered from v.keyboard
	char	pVal[25];							// last password entered from v.keyboard
	char	DispStr[100];						// Display string for displaying the data from the V.keyboard
	fVal = 0;
	lVal = 0;
	sprintf(sVal,"New Value");
	sprintf(pVal,"");
	
	VdInit();									// Initialize virtual driver (required for gesuprt.lib)
	_sysIsSuperReset();						// determines what the last restart of the controller was
	GEInit(PORT,BAUDRATE);					// Initialize the Gespurt.lib
	tdelay(1500);								// Delay for power up of the G.E. device
	GEStopMacro(PORT);						// Stop any playing macros
	GESetContrast(PORT,35);					// set the contrast
	GEBackLight(PORT,1);						// turn on the backlight
	if(sysIsSuperReset())					// check to see if program start was to do a new program load
	{	// if SuperReset
		GESuperReset(PORT);					// Clear out old bitmaps, buttons, macros, and font data
/**** GEDefineButton broken down *****/
		GEDefineButton(PORT,					// Serial port to use
		BTN_FLOAT,								// Button ID Number
		FLG_BTNS,								// Button Properties
		1,											// Top left cell location
		10,										// Bottom right cell locationi
		0,											// Bitmap ID number if used
		"FLOAT\nBUTTON"); 					// Button text if used
		
		GEDefineButton(PORT,BTN_LONG,FLG_BTNS,3,12,0,"LONG\nBUTTON");
		GEDefineButton(PORT,BTN_STRING,FLG_BTNS,5,14,0,"STRING\nBUTTON");
		GEDefineButton(PORT,BTN_PASS,FLG_BTNS,7,16,0,"PASS\nWORD\nBUTTON");

		GEBeginMacro(PORT,MAC_BTNS);		// Start of a new macro
			GELockBuffer(PORT,0);			// lock the display buffer			
			GEDisplayButton(PORT,BTN_FLOAT);// display the float button
			GEDisplayButton(PORT,BTN_LONG); // display the long button
			GEDisplayButton(PORT,BTN_STRING);// display the string button
			GEDisplayButton(PORT,BTN_PASS);	// display the password button
			GELockBuffer(PORT,1);				// unlock the display buffer
		GEEndMacro(PORT,MAC_BTNS);				// end of the macro
	}// if SuperReset
	GEPlayMacro(PORT,MAC_BTNS);				// play the macro
	BtnFlag = 0;									// reset the btn flag
	for (;;)											// loop forever
	{ // for loop
		if (GEGetPckt(PORT,Packet) !=0)						// check for an unsolicited response from G.E. device
		{	// GEGetPckt
			if (Packet[CMD] ==13)								// check for Last key pressed valued returned from G.E. 
			{	// if	button									
				BtnFlag = Packet[DATA0];						// Copy last button pressed from response to BtnFlag			
				switch (BtnFlag)									// switch on the btn that was pressed
				{ // switch
					case BTN_FLOAT:
						GESetFloat(PORT,fVal);					// Diplay a float value 
																		// in the user input area of the V. Keyboard
						GEKeyBoardMacro(PORT,					// Serial Port to Use
											"FLOAT (0-->9999.99)",	// Text for Prompt Line
											ENABLE,					// Enable/Disable value
											FLG_FLOAT,				// Keyboard Properties
											(void *)&maxFloat,	// hi limit if used
											(void *)&minFloat);	// lo limit if used
					break;
					
					case BTN_LONG:
						GESetLong(PORT,lVal);					// Display a long value in the user
																		// input area of V. Keyboard
						GEKeyBoardMacro(PORT,					// Serial port to use
											"LONG (0-->9999)",		// Text for Prompt Line
											ENABLE,					// Enable/Disable value
											FLG_LONG,				// Keyboard Properties
											(void *)&maxLong,		// Hi limit if used
											(void *)&minLong);	// lo limit if used
					break;
					
					case BTN_STRING:
						GESetString(PORT,sVal);					// Display a string in the user
																		// input area of V. Keyboard
						GEKeyBoardMacro(PORT,					// Serial port to use
											"STRING (MAX 20 CHARS)",	// Text for prompt line
											ENABLE,					// Enable/Disable value
											FLG_STRING,				// Keyboard Properties
											NULL,						// hi limit if used
											NULL);					// lo limit if used
					break;
					
					case BTN_PASS:
						GEClearBuffer(PORT);						// Clear the user input area of V.keyboard
						GEKeyBoardMacro(PORT,					// serial port to use	
											"PASSWORD (MAX 20 CHARS)",// Text for prompt line
											ENABLE,					// Enable/disable value
											FLG_PASS,				// keyboard properties
											NULL,						// hi limit if used
											NULL);					// lo limit if used
					break;
				} // switch
			}// if button
			if(Packet[CMD] == 14)					// Check to see if the ENTER key was pressed from the V.K.
			{ // if ENTER
				switch(BtnFlag)						// switch on the last button that was pressed prior
				{// switch
					case BTN_FLOAT:
						GESendFloat(PORT,&fVal);	// Get the float value that was entered
						sprintf(DispStr,"LAST FLOAT ENTERED = %9.2f",fVal);// set up the display string
						GESetFont(PORT,1);			// set the font to 6x8	
						GEPutText(PORT,"                         ",20,70); // Clear Last entered
						GEPutText(PORT,DispStr,20,70);// display the string 
					break;
					
					case BTN_LONG:
						GESendLong(PORT,&lVal);			// get the last long that was entered
						sprintf(DispStr,"LAST LONG ENTERED = %7ld",lVal);// setup the display string
						GESetFont(PORT,1);					// set the font to 6x8
						GEPutText(PORT,"                         ",20,80); // Clear Last entered
						GEPutText(PORT,DispStr,20,80);	// display the string
					break;
					
					case BTN_STRING:
						GESendString(PORT,sVal);			// get the last string that was entered
						sprintf(DispStr,"LAST STRING ENTERED = %s",sVal);// setup the display string
						GESetFont(PORT,1);					// set the font to 6x8
						GEPutText(PORT,"                         ",20,90); // Clear Last entered
						GEPutText(PORT,DispStr,20,90);	// display the string
					break;
							
					case BTN_PASS:
						GESendString(PORT,pVal);			// get the last string that was entered
						sprintf(DispStr,"LAST PASSWORD ENTERED = %s",pVal);// setup the display string
						GESetFont(PORT,1);					// set the font to 6x8
						GEPutText(PORT,"                         ",20,100); // Clear Last entered
						GEPutText(PORT,DispStr,20,100);	// display the string
					break;
				}	// switch
			}	// if ENTER
		}	// GEGetPckt 
	}	// for loop			
}	// main
