/****** GE_BITMAPSZ180WF.c

	Sample program demonstrating Bitmap loading and displaying
	in a cooperative multitasking environment (costates)
	
	while the 4 bitmaps are loading (3 small and 1 large Zworld
	logo), a counter is incrementing in a second costate.
	
	
*******/

/***** The next four macros determine what serial port to use, Though you can have multiple ports
		selected, for the purpose of this sample, Only one port is set up.

******/
#define	GE_USE_PORTZ1
//#define	GE_USE_PORTZ0
//#define	GE_USE_PORTA
//#define	GE_USE_PORTB

/**** Choose the baudrate here ****/
#define	BAUDRATE		9600

#use		GESUPRT.LIB						// support library for G.E.
#use		vdriver.lib						// virtual library

/**** These #ifdef statements choose the port from the above four selections ****/
#ifdef	GE_USE_PORTZ1
#define	PORT	GE_PORTZ1
#endif

#ifdef	GE_USE_PORTZ0
#define	PORT	GE_PORTZ0
#endif

#ifdef	GE_USE_PORTA
#define	PORT	GE_PORTA
#endif

#ifdef	GE_USE_PORTB
#define	PORT	GE_PORTB
#endif
/*
Automatic output from Font Converter
bitmap file is C:\DOCUME~1\BMPS\BUTTONS\KPAD.BMP.
bfSize = 302
horizontal size is 40 pixels.
vertical size is 30 pixels.
*/
xdata help {
'\x1f','\xff','\xff','\xff','\xff',
'\x1f','\xff','\xff','\xff','\xff',
'\x1f','\xff','\xff','\xff','\xff',
'\xff','\xff','\xff','\xff','\xff',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x98','\xdf','\x06','\x1f','\x0f',
'\x99','\x9f','\x86','\x1f','\x8f',
'\x99','\x99','\x8f','\x19','\xcf',
'\x9b','\x19','\x8f','\x18','\xcf',
'\x9f','\x1f','\x89','\x18','\xcf',
'\x9f','\x1f','\x19','\x98','\xcf',
'\x99','\x98','\x1f','\x98','\xcf',
'\x99','\x98','\x1f','\x99','\xcf',
'\x98','\xd8','\x30','\xdf','\x8f',
'\x98','\xd8','\x30','\xdf','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x08',
'\x80','\x00','\x00','\x00','\x08',
'\xff','\xff','\xff','\xff','\xf8'
}; /* end of char *bitMap */

/*
Automatic output from Font Converter
bitmap file is J:\Documents\BMPS\checker.bmp.
bfSize = 302
horizontal size is 42 pixels.
vertical size is 30 pixels.
*/
xdata cellMenu {
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80',
'\x55','\x55','\x55','\x55','\x55','\x40',
'\xaa','\xaa','\xaa','\xaa','\xaa','\x80'
}; /* end of char *bitMap */

/*
Automatic output from Font Converter
bitmap file is C:\DOCUME~1\BMPS\BUTTONS\MENU.BMP.
bfSize = 302
horizontal size is 40 pixels.
vertical size is 30 pixels.
*/
xdata square {
'\x1f','\xff','\xff','\xff','\xff',
'\x1f','\xff','\xff','\xff','\xff',
'\x1f','\xff','\xff','\xff','\xff',
'\xff','\xff','\xff','\xff','\xff',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\xb8','\xef','\xd8','\xd8','\xcf',
'\xb8','\xef','\xdc','\xd8','\xcf',
'\xbc','\xec','\x1c','\xd8','\xcf',
'\xbd','\xec','\x1e','\xd8','\xcf',
'\xb5','\x6f','\xde','\xd8','\xcf',
'\xb5','\x6f','\xda','\xd8','\xcf',
'\xb5','\x6c','\x1b','\xd8','\xcf',
'\xb5','\x6c','\x19','\xd8','\xcf',
'\xb6','\x6f','\xd9','\xdf','\xcf',
'\xb2','\x6f','\xd8','\xcf','\x8f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x0f',
'\x80','\x00','\x00','\x00','\x08',
'\x80','\x00','\x00','\x00','\x08',
'\xff','\xff','\xff','\xff','\xf8'
}; /* end of char *bitMap */

xdata zlogo {												// Zworld Logo
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x1F','\xFF','\xFE','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x0F','\xFF','\xFF','\xFF',
'\xFE','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x01','\xFF','\xFF','\xFF','\xFF','\xFF','\xF0','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x1F','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x01','\xFF','\xFF','\xFF',
'\xFF','\xFF','\xFF','\xFF','\xE0','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x0F','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF',
'\xFF','\xFC','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x7F','\xFF','\xFF','\xFF','\x7F','\xFF','\xFF','\xFF','\xFF','\x80',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x01','\xFF','\xFF',
'\xFF','\xE1','\xFF','\xFF','\xFF','\xFF','\xFF','\xF0','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x0F','\xFF','\xFF','\xFF','\x03','\xFF',
'\xFF','\xFF','\xF7','\xFF','\xFC','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x3F','\xFF','\xFF','\xF8','\x07','\xFF','\xFF','\xFE','\x00',
'\x7F','\xFF','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\xFF',
'\xFF','\xFF','\xE0','\x1F','\xFF','\xFF','\xE0','\x00','\x07','\xFF','\xC0',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x03','\xFF','\xFF','\xFF','\xFF',
'\xFF','\xFF','\xFF','\x80','\x00','\x01','\xFF','\xF0','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x0F','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFC',
'\x00','\x00','\x00','\x3F','\xFC','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x3F','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xF0','\x00','\x00','\x00',
'\x07','\xFF','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x7F','\xFF','\xFF',
'\xFF','\xFF','\xFF','\xFF','\xFF','\x00','\x00','\x00','\x01','\xFF','\x80',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x01','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF',
'\xFF','\xFF','\xF0','\x00','\x00','\x00','\x7F','\xE0','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x03','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF',
'\x00','\x00','\x00','\x1F','\xF8','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x0F','\xFF',
'\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xE0','\x00','\x00',
'\x07','\xFC','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xFF','\xFF','\xF8','\x00',
'\x1F','\xFF','\xFF','\xFF','\xFF','\xFC','\x00','\x00','\x01','\xFF','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x7F','\xFF','\xFF','\xE0','\x00','\x3F','\xFF','\xC0',
'\x7F','\xFF','\xFF','\x00','\x00','\x00','\xFF','\x80','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\xFF','\xFF','\xFF','\xC0','\x00','\x7F','\xFF','\x80','\x03','\xFF','\xFF',
'\xE0','\x00','\x00','\x3F','\xC0','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x01','\xFF','\xFF','\xFF',
'\x80','\x00','\xFF','\xFE','\x00','\x00','\x3F','\xFF','\xF8','\x00','\x00',
'\x1F','\xF0','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x07','\xFF','\xFF','\xFE','\x00','\x01','\xFF',
'\xFC','\x00','\x00','\x03','\xFF','\xFE','\x00','\x00','\x07','\xF8','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x0F','\xFF','\xFF','\xFC','\x00','\x01','\xFF','\xF8','\x00','\x00',
'\x00','\x7F','\xFF','\xC0','\x00','\x03','\xFC','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xFE',
'\xFF','\xF8','\x00','\x03','\xFF','\xF0','\x00','\x00','\x00','\x0F','\xFF',
'\xF0','\x00','\x00','\xFE','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x3F','\xF9','\xFF','\xF0','\x00',
'\x07','\xFF','\xE0','\x00','\x00','\x00','\x01','\xFF','\xFC','\x00','\x00',
'\x7F','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x7F','\xF1','\xFF','\xE0','\x00','\x0F','\xFF','\x80',
'\x00','\x00','\x00','\x00','\x3F','\xFF','\x00','\x00','\x3F','\xC0','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\xFF','\xE3','\xFF','\xC0','\x00','\x1F','\xFF','\x00','\x00','\x00','\x00',
'\x00','\x0F','\xFF','\xC0','\x00','\x0F','\xE0','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x01','\xFF','\xC7','\xFF',
'\x80','\x00','\x1F','\xFE','\x00','\x00','\x00','\x00','\x00','\x01','\xFF',
'\xF0','\x00','\x07','\xF0','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x03','\xFF','\x8F','\xFF','\x00','\x00','\x3F',
'\xFC','\x00','\x00','\x00','\x00','\x00','\x00','\x7F','\xF8','\x00','\x03',
'\xF8','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x07','\xFE','\x0F','\xFE','\x00','\x00','\x7F','\xF8','\x00','\x00',
'\x00','\x00','\x00','\x00','\x1F','\xFE','\x00','\x01','\xFC','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x0F','\xFC',
'\x1F','\xFC','\x00','\x00','\x7F','\xF0','\x00','\x00','\x00','\x00','\x00',
'\x00','\x07','\xFF','\x80','\x00','\xFE','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xF8','\x3F','\xF8','\x00',
'\x00','\xFF','\xE0','\x00','\x00','\x00','\x00','\x00','\x00','\x01','\xFF',
'\xE0','\x00','\x7F','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x3F','\xF0','\x3F','\xF0','\x00','\x01','\xFF','\xE0',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x7F','\xF0','\x00','\x7F',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x7F','\xE0','\x7F','\xE0','\x00','\x01','\xFF','\xC0','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x1F','\xFC','\x00','\x3F','\x80','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\xFF','\xC0','\xFF',
'\xE0','\x00','\x03','\xFF','\x80','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x07','\xFE','\x00','\x3F','\xC0','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x01','\xFF','\x80','\xFF','\xC0','\x00','\x07',
'\xFF','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x01','\xFF',
'\x80','\x3F','\xE0','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x03','\xFF','\x01','\xFF','\x80','\x00','\x07','\xFE','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x7F','\xC0','\x3F','\xF0',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xFF',
'\x01','\xFF','\x00','\x00','\x0F','\xFC','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x3F','\xF0','\x1F','\xF8','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xFE','\x03','\xFE','\x00',
'\x00','\x0F','\xFC','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x0F','\xF8','\x1F','\xF8','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x0F','\xFC','\x03','\xFE','\x00','\x00','\x1F','\xF8',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xFC',
'\x1F','\xFC','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x1F','\xF8','\x07','\xFC','\x00','\x00','\x1F','\xF0','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x01','\xFE','\x1F','\xFE','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xF0','\x0F',
'\xF8','\x00','\x00','\x3F','\xF0','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\xFF','\x9F','\xBF','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x3F','\xF0','\x0F','\xF8','\x00','\x00',
'\x3F','\xE0','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x3F','\xCF','\x9F','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x7F','\xE0','\x1F','\xF0','\x00','\x00','\x7F','\xC0','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xEF',
'\x9F','\x80','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x7F',
'\xC0','\x1F','\xE0','\x00','\x00','\xFF','\xC0','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xFF','\x8F','\xC0','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\xFF','\x80','\x3F','\xE0',
'\x00','\x00','\xFF','\x80','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x03','\xFF','\xC7','\xC0','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x01','\xFF','\x80','\x3F','\xC0','\x00','\x00','\xFF',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\xFF','\xC3','\xE0','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x01','\xFF','\x00','\x7F','\x80','\x00','\x01','\xFF','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x7F','\xC3',
'\xF0','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x03','\xFE','\x00',
'\xFF','\xFF','\xFF','\xC1','\xFE','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x3F','\xC1','\xF0','\x00','\x78',
'\x00','\x00','\x00','\x00','\x00','\x07','\xFF','\xFF','\xFF','\xFF','\xFF',
'\xFF','\xFC','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x1F','\xC0','\xF8','\x00','\x0F','\xE0','\x00','\x00',
'\x00','\x00','\x07','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xF8',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x07','\xE0','\xF8','\x00','\x03','\xFE','\x00','\x00','\x00','\x00','\x0F',
'\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\xE0','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xF0','\x7C',
'\x00','\x01','\xFF','\xC0','\x00','\x00','\x00','\x0F','\xFF','\xFF','\xFF',
'\xFF','\xFF','\xFF','\xFF','\xFF','\xFF','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x07','\xF8','\x7C','\x00','\x00','\x7F',
'\xE0','\x00','\x00','\x00','\x1F','\xFF','\xFF','\xFF','\xFF','\xFF','\xFF',
'\xFF','\xFF','\xFF','\xF8','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x07','\xFC','\x3E','\x00','\x00','\x7F','\xF0','\x00','\x00',
'\x00','\x1F','\xFF','\xFF','\xFF','\x80','\x00','\x0F','\xFF','\xFF','\xFF',
'\xFF','\x80','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x07',
'\xFE','\x1E','\x00','\x00','\x3F','\xF0','\x00','\x00','\x00','\x3F','\xFF',
'\xFF','\xF8','\x00','\x00','\x0F','\xE0','\x1F','\xFF','\xFF','\xF8','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xFF','\x1F','\x00',
'\x00','\x3F','\xF0','\x00','\x00','\x00','\x3F','\xFF','\xF3','\xF0','\x00',
'\x00','\x1F','\xC0','\x00','\x3F','\xFF','\xFF','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x07','\xDF','\x0F','\x00','\x00','\x3F','\xF0',
'\x00','\x00','\x00','\x7F','\xFE','\x07','\xF0','\x00','\x00','\x1F','\xC0',
'\x00','\x00','\xFF','\xFF','\xE0','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x07','\xCF','\x8F','\x80','\x00','\x7F','\xE0','\x00','\x00','\x00',
'\x7F','\xF0','\x07','\xE0','\x00','\x00','\x1F','\x80','\x00','\x00','\x07',
'\xFF','\xFE','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xC7',
'\xC7','\x80','\x00','\x7F','\xE0','\x00','\x00','\x00','\xFF','\x80','\x0F',
'\xE0','\x00','\x00','\x3F','\x80','\x00','\x00','\x00','\x7F','\xFF','\x80',
'\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xC3','\xE7','\xC0','\x00',
'\xFF','\xC0','\x00','\x00','\x00','\xFF','\x80','\x0F','\xC0','\x00','\x00',
'\x3F','\x80','\x00','\x00','\x00','\x07','\xFF','\xF0','\x00','\x00','\x00',
'\x00','\x00','\x00','\x07','\xC1','\xF3','\xC0','\x01','\xFF','\x80','\x00',
'\x00','\x01','\xFF','\x00','\x0F','\xC0','\x00','\x00','\x7F','\x00','\x00',
'\x00','\x00','\x00','\x7F','\xFE','\x00','\x00','\x00','\x00','\x00','\x00',
'\x07','\xC0','\xF3','\xE0','\x03','\xFE','\x00','\x00','\x00','\x01','\xFF',
'\x00','\x1F','\x80','\x00','\x00','\x7F','\x00','\x00','\x00','\x00','\x00',
'\x0F','\xFF','\x80','\x00','\x00','\x00','\x00','\x00','\x07','\xC0','\xFB',
'\xE0','\x0F','\xFC','\x00','\x00','\x00','\x01','\xFF','\x00','\x1F','\x80',
'\x00','\x00','\x7E','\x00','\x00','\x00','\x00','\x00','\x00','\xFF','\xF0',
'\x00','\x00','\x00','\x00','\x00','\x07','\xC0','\x7D','\xF0','\x1F','\xF0',
'\x00','\x00','\x00','\x03','\xFE','\x00','\x1F','\x00','\x00','\x00','\x7E',
'\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xFC','\x00','\x00','\x00',
'\x00','\x00','\x07','\xC0','\x3D','\xF0','\x7F','\xE0','\x00','\x00','\x00',
'\x03','\xFE','\x00','\x3F','\x00','\x00','\x00','\xFC','\x00','\x00','\x00',
'\x00','\x00','\x00','\x07','\xFF','\x00','\x00','\x00','\x00','\x00','\x07',
'\x80','\x1E','\xF1','\xFF','\x80','\x00','\x00','\x00','\x03','\xFC','\x00',
'\x3E','\x00','\x00','\x00','\xFC','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\xFF','\xC0','\x00','\x00','\x00','\x00','\x07','\x80','\x1F','\xFF',
'\xFE','\x00','\x00','\x00','\x00','\x07','\xFC','\x00','\x3E','\x00','\x00',
'\x00','\xFC','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x3F','\xF0',
'\x00','\x00','\x00','\x00','\x07','\x80','\x0F','\xFF','\xF8','\x00','\x00',
'\x00','\x00','\x07','\xFC','\x00','\x3E','\x00','\x00','\x01','\xF8','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xFC','\x00','\x00','\x00',
'\x00','\x07','\x80','\x07','\xFF','\xE0','\x00','\x00','\x00','\x00','\x07',
'\xF8','\x00','\x7C','\x00','\x00','\x01','\xF8','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x01','\xFF','\x00','\x00','\x00','\x00','\x07','\x80',
'\x07','\xFF','\x80','\x00','\x00','\x00','\x00','\x0F','\xF8','\x00','\x7C',
'\x00','\x00','\x01','\xF0','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x7F','\xC0','\x00','\x00','\x00','\x07','\x80','\x1F','\xFC','\x00',
'\x00','\x00','\x00','\x00','\x0F','\xF8','\x00','\x78','\x00','\x00','\x01',
'\xF0','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xE0',
'\x00','\x00','\x00','\x07','\x80','\xFF','\xFC','\x00','\x00','\x00','\x00',
'\x00','\x0F','\xF0','\x00','\x78','\x00','\x00','\x03','\xF0','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x07','\xF8','\x00','\x00','\x00',
'\x07','\x87','\xFF','\xFE','\x00','\x00','\x00','\x00','\x00','\x1F','\xF0',
'\x00','\xF8','\x00','\x00','\x03','\xE0','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x01','\xFC','\x00','\x00','\x00','\x07','\x3F','\xFC',
'\xFE','\x00','\x00','\x00','\x00','\x00','\x1F','\xF0','\x00','\xF0','\x00',
'\x00','\x03','\xE0','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x7F','\x00','\x00','\x00','\x07','\xFF','\xE0','\xFE','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x0F','\xFF','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\xFF',
'\xF8','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x0F','\xFF','\xC0','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x7F','\xFE','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x03',
'\xFF','\xF0','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x01','\xFE','\x00','\x00','\x00','\x00','\x00','\x7F','\xFF','\x80','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xFF','\xFF','\xC0',
'\x00','\xFC','\x00','\x00','\x40','\x00','\x03','\xE0','\x0F','\xFF','\xE0',
'\x00','\xFF','\xF8','\x07','\xFF','\xF8','\x00','\xFF','\xC0','\x00','\x00',
'\x00','\x00','\x00','\x00','\x1F','\xFF','\xFF','\x80','\x00','\x7C','\x00',
'\x00','\x60','\x00','\x03','\xE0','\x3F','\xFF','\xF8','\x00','\xFF','\xFF',
'\x7F','\xFF','\x80','\x07','\xFF','\xF8','\x00','\x00','\x00','\x00','\x00',
'\x00','\x1F','\xFF','\xFF','\x80','\x00','\x7C','\x00','\x00','\xE0','\x00',
'\x07','\xC0','\xFF','\xFF','\xFC','\x00','\xFF','\xFF','\xFF','\xF8','\x00',
'\x0F','\xFF','\xFF','\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\xFF',
'\xFF','\x00','\x00','\x3E','\x00','\x00','\xF0','\x00','\x07','\xC1','\xFF',
'\xFF','\xFF','\x00','\xFF','\xFF','\xFF','\x80','\x00','\x0F','\xFF','\xFF',
'\x80','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x3F','\x00','\x00',
'\x3E','\x00','\x00','\xF0','\x00','\x0F','\xC3','\xFC','\x00','\xFF','\x80',
'\xFF','\xFF','\xF0','\x00','\x00','\x0F','\x83','\xFF','\xE0','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x3E','\x00','\x00','\x3F','\x00','\x01',
'\xF0','\x00','\x0F','\x87','\xF0','\x00','\x1F','\xC7','\xFF','\xFF','\x00',
'\x06','\x00','\x0F','\x80','\x1F','\xF0','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x7C','\x00','\x00','\x1F','\x00','\x01','\xF8','\x00','\x0F',
'\x8F','\xE0','\x00','\x0F','\xFF','\xFF','\xE0','\x00','\x3E','\x00','\x0F',
'\x80','\x07','\xF8','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\xFC',
'\x00','\x00','\x1F','\x00','\x03','\xF8','\x00','\x1F','\x1F','\xC0','\x00',
'\x3F','\xFF','\xFC','\x00','\x00','\x3E','\x00','\x0F','\x80','\x01','\xF8',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\xF8','\x00','\x00','\x0F',
'\x80','\x03','\xFC','\x00','\x1F','\x1F','\x80','\x0F','\xFF','\xFF','\x00',
'\x00','\xF0','\x3E','\x00','\x0F','\x80','\x00','\xFC','\x00','\x00','\x00',
'\x00','\x00','\x00','\x01','\xF8','\x00','\x00','\x0F','\x80','\x03','\xFC',
'\x00','\x3F','\x3F','\x07','\xFF','\xFF','\xE0','\x00','\x00','\xF0','\x3E',
'\x00','\x0F','\x80','\x00','\x7E','\x00','\x00','\x00','\x00','\x00','\x00',
'\x01','\xF0','\x00','\x00','\x0F','\xC0','\x07','\xFC','\x00','\x3E','\x3F',
'\xFF','\xFF','\xF0','\x00','\x00','\x00','\xF0','\x3E','\x00','\x0F','\x80',
'\x00','\x3E','\x00','\x00','\x00','\x00','\x00','\x00','\x03','\xF0','\x00',
'\x00','\x07','\xC0','\x07','\xFE','\x00','\x3F','\xFF','\xFF','\xFC','\x00',
'\x00','\xF8','\x00','\xF0','\x3E','\x00','\x0F','\x80','\x00','\x3E','\x00',
'\x00','\x00','\x00','\x00','\x00','\x03','\xE0','\x00','\x00','\x07','\xC0',
'\x07','\xBE','\x00','\xFF','\xFF','\xFE','\x00','\x00','\x3C','\xF8','\x00',
'\xF0','\x3E','\x00','\x0F','\x80','\x00','\x1F','\x00','\x00','\x00','\x00',
'\x00','\x00','\x07','\xC0','\x00','\x00','\x03','\xE0','\x0F','\x9E','\x7F',
'\xFF','\xFE','\x00','\x00','\x00','\x7C','\xF8','\x01','\xF0','\x3E','\x00',
'\x0F','\x80','\x00','\x1F','\x00','\x00','\x00','\x00','\x00',
'\x00','\x0F','\xC0','\x03','\xE0','\x03','\xE0','\x0F','\xBF','\xFF','\xFF',
'\x00','\x00','\x00','\x00','\x7C','\xF8','\x01','\xF0','\x3E','\x00','\x0F',
'\x80','\x00','\x1F','\x00','\x00','\x00','\x00','\x00','\x00','\x0F','\x80',
'\x07','\xF0','\x03','\xF0','\x7F','\xFF','\xFF','\x00','\x00','\x00','\x00',
'\x00','\x3C','\xF8','\x03','\xE0','\x3E','\x00','\x0F','\x80','\x00','\x1F',
'\x00','\x00','\x00','\x00','\x00','\x00','\x1F','\x80','\x0F','\xF8','\x01',
'\xFF','\xFF','\xFE','\x00','\x00','\x00','\x00','\x00','\x00','\x3E','\xF8',
'\x1F','\xE0','\x3E','\x00','\x0F','\x80','\x00','\x0F','\x00','\x00','\x00',
'\x00','\x00','\x00','\x1F','\x00','\x0F','\xFF','\xFF','\xFF','\xFC','\x00',
'\x00','\x00','\xF8','\x00','\x00','\x00','\x3E','\xFF','\xFF','\xC0','\x3E',
'\x00','\x0F','\x80','\x00','\x0F','\x00','\x00','\x00','\x00','\x00','\x00',
'\x3F','\x00','\x0F','\xFF','\xFF','\xE0','\x00','\x00','\x01','\xF0','\xF8',
'\x00','\x00','\x00','\x3E','\xFF','\xFF','\x80','\x3E','\x00','\x0F','\x80',
'\x00','\x0F','\x00','\x00','\x00','\x00','\x00','\x00','\x3E','\x00','\x0F',
'\xF8','\x00','\x00','\x00','\x07','\xC1','\xF0','\xF8','\x00','\x00','\x00',
'\x3E','\xFF','\xFE','\x00','\x3E','\x00','\x0F','\x80','\x00','\x0F','\x00',
'\x00','\x00','\x00','\x00','\x00','\x7C','\x00','\x0F','\xF8','\x00','\x00',
'\x3C','\x07','\xC3','\xE0','\xF8','\x00','\x00','\x00','\x3E','\xFF','\xF8',
'\x00','\x3E','\x00','\x0F','\x80','\x00','\x0F','\x00','\x00','\x00','\x00',
'\x00','\x00','\xFC','\x00','\x07','\xF0','\x00','\x7C','\x7C','\x03','\xE3',
'\xE0','\xF8','\x00','\x00','\x00','\x7C','\xF9','\xF0','\x00','\x3E','\x00',
'\x0F','\x80','\x00','\x1F','\x00','\x00','\x00','\x00','\x00','\x00','\xF8',
'\x00','\x03','\xE0','\x00','\x7C','\x7C','\x03','\xE7','\xC0','\x7C','\x00',
'\x00','\x00','\x7C','\xF8','\xF8','\x00','\x3E','\x00','\x0F','\x80','\x00',
'\x1F','\x00','\x00','\x00','\x00','\x00','\x01','\xF8','\x00','\x00','\x00',
'\x00','\x3E','\xF8','\x03','\xE7','\xC0','\x7C','\x00','\x00','\x00','\x7C',
'\xF8','\xFC','\x00','\x3E','\x00','\x0F','\x80','\x00','\x1F','\x00','\x00',
'\x00','\x00','\x00','\x01','\xF0','\x00','\x00','\x00','\x00','\x3E','\xF8',
'\x01','\xF7','\xC0','\x7C','\x00','\x00','\x00','\xFC','\xF8','\x7E','\x00',
'\x3E','\x00','\x0F','\x80','\x00','\x3F','\x00','\x00','\x00','\x00','\x00',
'\x03','\xF0','\x00','\x00','\x00','\x00','\x3E','\xF0','\x01','\xFF','\x80',
'\x3E','\x00','\x00','\x00','\xF8','\xF8','\x3E','\x00','\x3E','\x00','\x0F',
'\x80','\x00','\x3E','\x00','\x00','\x00','\x00','\x00','\x03','\xE0','\x00',
'\x00','\x00','\x00','\x1F','\xF0','\x00','\xFF','\x80','\x3F','\x00','\x00',
'\x01','\xF8','\xF8','\x3F','\x00','\x3E','\x00','\x0F','\x80','\x00','\x7E',
'\x00','\x00','\x00','\x00','\x00','\x07','\xC0','\x00','\x00','\x00','\x00',
'\x1F','\xF0','\x00','\xFF','\x00','\x3F','\x00','\x00','\x03','\xF0','\xF8',
'\x1F','\x80','\x3E','\x00','\x0F','\x80','\x00','\xFC','\x00','\x00','\x00',
'\x00','\x00','\x0F','\xC0','\x00','\x00','\x00','\x00','\x0F','\xE0','\x00',
'\xFF','\x00','\x1F','\x80','\x00','\x03','\xF0','\xF8','\x0F','\xC0','\x3E',
'\x00','\x0F','\x80','\x01','\xFC','\x00','\x00','\x00','\x00','\x00','\x0F',
'\x80','\x00','\x00','\x00','\x00','\x0F','\xE0','\x00','\x7F','\x00','\x0F',
'\xC0','\x00','\x0F','\xE0','\xF8','\x0F','\xC0','\x3E','\x00','\x0F','\x80',
'\x03','\xF8','\x00','\x00','\x00','\x00','\x00','\x1F','\x80','\x00','\x00',
'\x00','\x00','\x0F','\xE0','\x00','\x7E','\x00','\x0F','\xF0','\x00','\x1F',
'\xC0','\xF8','\x07','\xE0','\x3E','\x00','\x0F','\x80','\x0F','\xF0','\x00',
'\x00','\x00','\x00','\x00','\x1F','\x00','\x00','\x00','\x00','\x00','\x07',
'\xC0','\x00','\x7E','\x00','\x07','\xFC','\x00','\x7F','\x80','\xF8','\x03',
'\xF0','\x3E','\x00','\x0F','\x80','\x7F','\xE0','\x00','\x00','\x00','\x00',
'\x00','\x3F','\xFF','\xFF','\xC0','\x00','\x00','\x07','\xC0','\x00','\x3C',
'\x00','\x03','\xFF','\x83','\xFF','\x00','\xF8','\x01','\xF0','\x3F','\xFF',
'\xCF','\xFF','\xFF','\xC0','\x00','\x00','\x00','\x00','\x00','\x3F','\xFF',
'\xFF','\xC0','\x00','\x00','\x03','\x80','\x00','\x3C','\x00','\x00','\xFF',
'\xFF','\xFE','\x00','\xF8','\x01','\xF8','\x3F','\xFF','\xCF','\xFF','\xFF',
'\x00','\x00','\x00','\x00','\x00','\x00','\x7F','\xFF','\xFF','\xC0','\x00',
'\x00','\x03','\x80','\x00','\x1C','\x00','\x00','\x7F','\xFF','\xFC','\x00',
'\xF8','\x00','\xFC','\x3F','\xFF','\xCF','\xFF','\xFC','\x00','\x00','\x00',
'\x00','\x00','\x00','\xFF','\xFF','\xFF','\xC0','\x00','\x00','\x03','\x80',
'\x00','\x18','\x00','\x00','\x1F','\xFF','\xF0','\x00','\xF8','\x00','\x7E',
'\x3F','\xFF','\xCF','\xFF','\xF0','\x00','\x00','\x00','\x00','\x00','\x00',
'\xFF','\xFF','\xFF','\xC0','\x00','\x00','\x01','\x00','\x00','\x18','\x00',
'\x00','\x03','\xFF','\x80','\x00','\xF8','\x00','\x7E','\x3F','\xFF','\xCF',
'\xFC','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x01','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00','\x00',
'\x00','\x00','\x00','\x00','\x00'};
extern CoData First;

main	()
{
	int Done;
	long Count;
	Count = 0;
	VdInit();
	GEInit(PORT,BAUDRATE);																// Initializes Comport
	CoBegin(&First);
	Done = 1;
	while (Done)
	{
		costate First
		{
			waitfor(GEStopMacroWF(PORT));														// Stop any running macro
			waitfor(GESuperResetWF(PORT));														// Clear Out old data
			waitfor(GEBackLightWF(PORT,1));													// Turns on the Backlight
			waitfor(GESetContrastWF(PORT,40));												// Set contrast
			waitfor(GESetFontWF(PORT,2));														// Set font the 2 (12x16)
			waitfor(GEPutTextWF(PORT,"LOADING 3 SMALL BITMAPS",0,120));				// Puts text on screen with font set of 2	
			waitfor(GELoadBitMapWF(PORT,1,40,30,help));									// Loads Bitmap 'help'
			waitfor(GELoadBitMapWF(PORT,2,42,30,cellMenu));								// Loads Bitmap 'CellMenu'
			waitfor(GELoadBitMapWF(PORT,3,40,30,square));									// Loads Bitmap 'square'
			waitfor(GEPutTextWF(PORT,"LOADING 1 LARGE BITMAP ",0,120));				// Puts text on screen with font set of 2	
			waitfor(GELoadBitMapWF(PORT,4,240,120,zlogo));								// Load Large Bitmap 'Zworld Logo'
			waitfor(GEClearScreenWF(PORT));													// Clears the display
			waitfor(GEPutBitMapWF(PORT,4,0,0));												// Displays the bitmap help
			waitfor(DelayMs(2000));																		// Delay 2 seconds before displaying 3 small bitmaps
			waitfor(GEPutBitMapWF(PORT,2,240,0));											// Displays the bitmap help
			waitfor(GEPutBitMapWF(PORT,1,240,30));											// Displays the bitmap CellMenu
			waitfor(GEPutBitMapWF(PORT,3,240,60));											// Displays the bitmap square
		   Done = 0;
		}
		
		costate
		{
			printf("Count = %ld\r",Count);
			Count++;
			waitfor(DelayMs(500));
		}
	}
}