/******* Sample Program PK2600Demo.c


This sample program combines many features of the
graphics engine and its support library to  form
a menuing system application demo.

******/


#define	GE_USE_PORTZ1			// Serial Port to use with the G.E.
#define	BAUDRATE	9600			// Baudrate to use (Must Match the G.E. device

#use	gesuprt.lib					// Graphics Engine support library
#use	vdriver.lib					// Virtual library
#use	zwlogos.lib					// zworld logos library

#define	PORT	GE_PORTZ1		


/****** Button, Bitmap, and Macro definitions *******/
#define	BTN_MENU						1
#define	BTN_EXIT1					2
#define	BTN_EXIT2					3
#define	BTN_FEATURES				4
#define	BTN_DEMO						5
#define	BTN_SUPPORT					6

#define	BTN_CLOCK					7
#define	BTN_BACKLIGHT				8
#define	BTN_CONTRAST				9
#define	BTN_BEEP						10

#define	BTN_YEARUP					11
#define	BTN_YEARDN					12
#define	BTN_MONTHUP					13
#define	BTN_MONTHDN					14
#define	BTN_DAYUP					15
#define	BTN_DAYDN					16
#define	BTN_HOURUP					17
#define	BTN_HOURDN					18
#define	BTN_MINUTEUP				19
#define	BTN_MINUTEDN				20
#define	BTN_SET						21
#define	BTN_SECONDUP				22
#define	BTN_SECONDDN				23

#define	BTN_CONTRAST1				24
#define	BTN_CONTRAST2				25
#define	BTN_CONTRAST3				26
#define	BTN_CONTRAST4				27
#define	BTN_CONTRAST5				28
#define	BTN_CONTRASTRES			29
#define	BTN_REVERSE					30
#define	BTN_EXIT3					31
#define	BTN_EXIT4					32

#define	MAC_MAIN						1
#define	MAC_MENU						2
#define	MAC_FEATURES				3
#define	MAC_DEMO						4
#define	MAC_SUPPORT					5
#define	MAC_CLOCK					6
#define	MAC_BACKLIGHT				7
#define	MAC_CONTRAST				8
#define	MAC_BEEP						9
#define	MAC_SET						10
#define	MAC_CONTRAST1				11
#define	MAC_CONTRAST2				12
#define	MAC_CONTRAST3				13
#define	MAC_CONTRAST4				14
#define	MAC_CONTRAST5				15
#define	MAC_CONTRASTRES			16
#define	MAC_REVERSE					17
#define	MAC_DEMO2					18
#define	MAC_DEMO3					19
#define	MAC_DEMO4					20
#define	MAC_DEMO5					21
#define	BMP_LOGO						1
#define	BMP_CONTRAST2				2
#define	BMP_CONTRAST3				3
#define	BMP_CONTRAST4				4
#define	BMP_CONTRAST5				5
#define	BMP_DEMO						6


/***** Clears out all old Bitmaps, Fonts, buttons, and macros previously defined ****/
void	ClearOld (void)
{
	GESuperReset(PORT);	
}


/***** Loads the bitmaps that will be used in this sample *****/
void DefineBmps(void)
{
	GEClearScreen(PORT);
	GESetFont(PORT,2);
	GEPutText(PORT,"LOADING BMP",0,0);
	GELoadBitMap(PORT,BMP_LOGO,220,120,zwLogo220);
	GELoadBitMap(PORT,BMP_DEMO,106,58,zwLogo106);	
}

/**** Defines all of the buttons used *****/
void DefineBtns(void)
{
	auto int loop;
	static char DispStr[5];
	GEDefineButton(PORT,BTN_MENU,0x5e,60,61,0,"Menu");
	GEDefineButton(PORT,BTN_FEATURES,0x5e,19,22,0,"Features");
	GEDefineButton(PORT,BTN_DEMO,0x5e,35,38,0,"Demo");
	GEDefineButton(PORT,BTN_SUPPORT,0x5e,51,54,0,"Support");
	GEDefineButton(PORT,BTN_EXIT1,0x5e,1,2,0,"Exit");
	GEDefineButton(PORT,BTN_CLOCK,0x5e,26,28,0,"Clock");
	GEDefineButton(PORT,BTN_CONTRAST,0x5e,29,31,0,"Contrast");
	GEDefineButton(PORT,BTN_BACKLIGHT,0x5e,34,36,0,"Backlight");
	GEDefineButton(PORT,BTN_BEEP,0x5e,37,39,0,"Beep");
	GEDefineButton(PORT,BTN_EXIT2,0x5e,1,2,0,"Exit");
	GEDefineButton(PORT,BTN_CONTRAST1,0x4e,34,34,0,"1");
	GEDefineButton(PORT,BTN_CONTRAST2,0x4e,35,35,0,"2");
	GEDefineButton(PORT,BTN_CONTRAST3,0x4e,36,36,0,"3");
	GEDefineButton(PORT,BTN_CONTRAST4,0x4e,37,37,0,"4");
	GEDefineButton(PORT,BTN_CONTRAST5,0x4e,38,38,0,"5");
	GEDefineButton(PORT,BTN_CONTRASTRES,0x4e,39,39,0,"Reset");
	GEDefineButton(PORT,BTN_REVERSE,0x4e,57,59,0,"Reverse");
	GEDefineButton(PORT,BTN_YEARUP,0x5f,10,11,0,"+Year");
	GEDefineButton(PORT,BTN_MONTHUP,0x5f,12,13,0,"+Month");
	GEDefineButton(PORT,BTN_DAYUP,0x5f,14,15,0,"+Day");
	GEDefineButton(PORT,BTN_YEARDN,0x5f,18,19,0,"-Year");
	GEDefineButton(PORT,BTN_MONTHDN,0x5f,20,21,0,"-Month");
	GEDefineButton(PORT,BTN_DAYDN,0x5f,22,23,0,"-Day");
	GEDefineButton(PORT,BTN_SET,0x5f,7,8,0,"SET");
	GEDefineButton(PORT,BTN_HOURUP,0x5f,50,51,0,"+Hour");
	GEDefineButton(PORT,BTN_MINUTEUP,0x5f,52,53,0,"+Min");
	GEDefineButton(PORT,BTN_SECONDUP,0x5f,54,55,0,"+Sec");
	GEDefineButton(PORT,BTN_HOURDN,0x5f,58,59,0,"-Hour");
	GEDefineButton(PORT,BTN_MINUTEDN,0x5f,60,61,0,"-Min");
	GEDefineButton(PORT,BTN_SECONDDN,0x5f,62,63,0,"-Sec");
	GEDefineButton(PORT,BTN_EXIT3,0x5f,1,2,0,"Exit");
	GEDefineButton(PORT,BTN_EXIT4,0x5e,1,2,0,"Exit");
	for (loop = 50 ; loop < 106 ; loop++)
	{
		sprintf(DispStr,"%02d",loop-41);
		GEDefineButton(PORT,loop,0x5f,loop-41,loop-41,0,DispStr);
	}
}
/***** Defines all of the Macros ******/
void DefineMacs(void)
{
	auto int BtnVal,loop;
	GEClearScreen(PORT);
	GESetFont(PORT,2);
	GEPutText(PORT,"LOADING MAC",0,0);
	
	
/***** Startup Screen Macro******/	
	GEBeginMacro(PORT,MAC_MAIN);
		GELockBuffer(PORT,0);
		GESetFont(PORT,3);
		GEClearScreen(PORT);
		GEDisableBtnArea(PORT,1,64);
		GEPutText(PORT,"PK2600 SERIES",40,130);
		GEPutText(PORT,"CONTROLLER+DISPLAY",5,165);
		GEDisplayButton(PORT,BTN_MENU);
		GEPutBitMap(PORT,BMP_LOGO,50,5);
		GELockBuffer(PORT,1);
		GESendLastPush(PORT,2,&BtnVal);
	GEEndMacro(PORT,MAC_MAIN);

/********* Main Menu Macro *******/	
	GEBeginMacro(PORT,MAC_MENU);
		GELockBuffer(PORT,0);
		GEClearScreen(PORT);
		GEDisableBtnArea(PORT,1,64);
		GEDisplayButton(PORT,BTN_EXIT1);
		GEDisplayButton(PORT,BTN_FEATURES);
		GEDisplayButton(PORT,BTN_DEMO);
		GEDisplayButton(PORT,BTN_SUPPORT);
		GELockBuffer(PORT,1);
		GESendLastPush(PORT,2,&BtnVal);
	GEEndMacro(PORT,MAC_MENU);

/********* Features Menu Macro *******/		
	GEBeginMacro(PORT,MAC_FEATURES);
		GELockBuffer(PORT,0);
		GEClearScreen(PORT);
		GEDisableBtnArea(PORT,1,64);
		GEDisplayButton(PORT,BTN_CLOCK);
		GEDisplayButton(PORT,BTN_CONTRAST);
		GEDisplayButton(PORT,BTN_BACKLIGHT);
		GEDisplayButton(PORT,BTN_BEEP);
		GEDisplayButton(PORT,BTN_EXIT2);
		GELockBuffer(PORT,1);
		GESendLastPush(PORT,2,&BtnVal);
	GEEndMacro(PORT,MAC_FEATURES);
	
/******* Backlight toggling macro ******/
	GEBeginMacro(PORT,MAC_BACKLIGHT);
		GEBackLight(PORT,0);
		GEDelayPlay(PORT,500);
		GEBackLight(PORT,1);
		GEDelayPlay(PORT,500);
		GEBackLight(PORT,0);
		GEDelayPlay(PORT,500);
		GEBackLight(PORT,1);
	GEEndMacro(PORT,MAC_BACKLIGHT);
	
/****** Support Screen Macro *******/
	GEBeginMacro(PORT,MAC_SUPPORT);
		GELockBuffer(PORT,0);
		GEClearScreen(PORT);
		GEDisableBtnArea(PORT,1,64);
		GEDisplayButton(PORT,BTN_EXIT2);
		GESetFont(PORT,3);
		GEPutText(PORT,"SUPPORT",93,60);
		GESetFont(PORT,2);
		GEPutText(PORT,"Z-WORLD",120,120);
		GEPutText(PORT,"TECHNICAL SUPPORT",60,140);
		GEPutText(PORT,"1-530-757-3737",80,160);
		GEPutText(PORT," www.zworld.com",70,200);
		GELockBuffer(PORT,1);
		GESendLastPush(PORT,2,&BtnVal);
	GEEndMacro(PORT,MAC_SUPPORT);

/***** Beeping Macro *************/		
	GEBeginMacro(PORT,MAC_BEEP);
		GEBeep(PORT,100);
		GEDelayPlay(PORT,200);
		GEBeep(PORT,100);
		GEDelayPlay(PORT,200);
		GEBeep(PORT,100);
		GEDelayPlay(PORT,50);
		GEBeep(PORT,100);
		GEDelayPlay(PORT,200);
		GEBeep(PORT,100);
		GEDelayPlay(PORT,500);
		GEBeep(PORT,100);
		GEDelayPlay(PORT,200);
		GEBeep(PORT,100);
		GESendLastPush(PORT,2,&BtnVal);
	GEEndMacro(PORT,MAC_BEEP);
	
/******** Contrast menu Macro *******/
	GEBeginMacro(PORT,MAC_CONTRAST);
		GELockBuffer(PORT,0);
		GEClearScreen(PORT);
		GEDisableBtnArea(PORT,1,64);
		GEDisplayButton(PORT,BTN_EXIT4);
		GEDisplayButton(PORT,BTN_CONTRAST1);
		GEDisplayButton(PORT,BTN_CONTRAST2);
		GEDisplayButton(PORT,BTN_CONTRAST3);
		GEDisplayButton(PORT,BTN_CONTRAST4);
		GEDisplayButton(PORT,BTN_CONTRAST5);
		GEDisplayButton(PORT,BTN_CONTRASTRES);
		GEDisplayButton(PORT,BTN_REVERSE);
		GELockBuffer(PORT,1);
		GESendLastPush(PORT,2,&BtnVal);
	GEEndMacro(PORT,MAC_CONTRAST);
	
/******** Clock adjustment Macro ***********/
	GEBeginMacro(PORT,MAC_CLOCK);
		GELockBuffer(PORT,0);
		GEClearScreen(PORT);
		GEDisableBtnArea(PORT,1,64);
		GEDisplayButton(PORT,BTN_YEARUP);
		GEDisplayButton(PORT,BTN_MONTHUP);
		GEDisplayButton(PORT,BTN_DAYUP);
		GEDisplayButton(PORT,BTN_YEARDN);
		GEDisplayButton(PORT,BTN_MONTHDN);
		GEDisplayButton(PORT,BTN_DAYDN);
		GEDisplayButton(PORT,BTN_HOURUP);
		GEDisplayButton(PORT,BTN_MINUTEUP);
		GEDisplayButton(PORT,BTN_SECONDUP);
		GEDisplayButton(PORT,BTN_HOURDN);
		GEDisplayButton(PORT,BTN_MINUTEDN);
		GEDisplayButton(PORT,BTN_SECONDDN);
		GEDisplayButton(PORT,BTN_SET);
		GEDisplayButton(PORT,BTN_EXIT4);
		GELockBuffer(PORT,1);
		GESendLastPush(PORT,2,&BtnVal);
	GEEndMacro(PORT,MAC_CLOCK);
		
/**********Contrast Screen Macros ************/
	GEBeginMacro(PORT,MAC_CONTRAST1);
		GESetContrast(PORT,60);
	GEEndMacro(PORT,MAC_CONTRAST1);
	GEBeginMacro(PORT,MAC_CONTRAST2);
		GESetContrast(PORT,50);
	GEEndMacro(PORT,MAC_CONTRAST2);
	GEBeginMacro(PORT,MAC_CONTRAST3);
		GESetContrast(PORT,40);
	GEEndMacro(PORT,MAC_CONTRAST3);
	GEBeginMacro(PORT,MAC_CONTRAST4);
		GESetContrast(PORT,30);
	GEEndMacro(PORT,MAC_CONTRAST4);
	GEBeginMacro(PORT,MAC_CONTRAST5);
		GESetContrast(PORT,20);
	GEEndMacro(PORT,MAC_CONTRAST5);
	GEBeginMacro(PORT,MAC_CONTRASTRES);
		GESetContrast(PORT,35);
	GEEndMacro(PORT,MAC_CONTRASTRES);
	GEBeginMacro(PORT,MAC_REVERSE);
		GEInvertRegion(PORT,0,0,320,240);
	GEEndMacro(PORT,MAC_REVERSE);
/******************************************/	


/********* Demo Macros ********************/

/******* The Bitmap macro *****************/
	GEBeginMacro(PORT,MAC_DEMO);
		GEClearScreen(PORT);
		GEDisableBtnArea(PORT,1,64);
		GEDisplayButton(PORT,BTN_EXIT3);	
		GESetFont(PORT,1);
		GEPutText(PORT,"Display Bitmaps",100,0);
		GEPutBitMap(PORT,BMP_DEMO,0,30);
		GEPutBitMap(PORT,BMP_DEMO,106,30);
		GEPutBitMap(PORT,BMP_DEMO,212,30);
		GEPutBitMap(PORT,BMP_DEMO,0,90);
		GEPutBitMap(PORT,BMP_DEMO,106,90);
		GEPutBitMap(PORT,BMP_DEMO,212,90);
		GEPutBitMap(PORT,BMP_DEMO,0,150);
		GEPutBitMap(PORT,BMP_DEMO,106,150);
		GEPutBitMap(PORT,BMP_DEMO,212,150);
		
		GEInvertRegion(PORT,0,30,105,89);
		GEInvertRegion(PORT,106,30,211,89);
		GEInvertRegion(PORT,212,30,318,89);
		
		GEInvertRegion(PORT,0,90,105,149);
		GEInvertRegion(PORT,106,90,211,149);
		GEInvertRegion(PORT,212,90,318,149);
		
		GEInvertRegion(PORT,0,150,105,209);
		GEInvertRegion(PORT,106,150,211,209);
		GEInvertRegion(PORT,212,150,318,209);
		
		GEInvertRegion(PORT,0,30,105,89);
		GEInvertRegion(PORT,106,30,211,89);
		GEInvertRegion(PORT,212,30,318,89);
		
		GEInvertRegion(PORT,0,90,105,149);
		GEInvertRegion(PORT,106,90,211,149);
		GEInvertRegion(PORT,212,90,318,149);
		
		GEInvertRegion(PORT,0,150,105,209);
		GEInvertRegion(PORT,106,150,211,209);
		GEInvertRegion(PORT,212,150,318,209);
		
		GEInvertRegion(PORT,0,30,105,89);
		GEInvertRegion(PORT,106,30,211,89);
		GEInvertRegion(PORT,212,30,318,89);
		
		GEInvertRegion(PORT,0,90,105,149);
		GEInvertRegion(PORT,106,90,211,149);
		GEInvertRegion(PORT,212,90,318,149);
		
		GEInvertRegion(PORT,0,150,105,209);
		GEInvertRegion(PORT,106,150,211,209);
		GEInvertRegion(PORT,212,150,318,209);
		GEDelayPlay(PORT,1500);
		GEPlayMacro(PORT,MAC_DEMO2);
	GEEndMacro(PORT,MAC_DEMO);

/******* Drawing Circles Macro ************/		
	GEBeginMacro(PORT,MAC_DEMO2);
		GEBlankRegion(PORT,0,0,30,320,240);
		GESetFont(PORT,1);
		GEPutText(PORT,"Draw Circles          ",100,0);
		for (loop = 0 ; loop < 40 ; loop++)	GEPutCircle(PORT,0,160,120,2 + (loop * 2));
		GEDelayPlay(PORT,1500);
		GEPlayMacro(PORT,MAC_DEMO3);
	GEEndMacro(PORT,MAC_DEMO2);
	
/******** Drawing Rectangles Macro ********/
	GEBeginMacro(PORT,MAC_DEMO3);		
		GEBlankRegion(PORT,0,0,30,320,240);
		GESetFont(PORT,1);
		GEPutText(PORT,"Draw Rectangles        ",100,0);
		for (loop = 0 ; loop < 40 ; loop++)	GEPutRectangle(PORT,0,158 -(loop * 3),118- (loop * 2),162 + (loop * 3),122 + (loop * 2));
		GEDelayPlay(PORT,1500);
		GEPlayMacro(PORT,MAC_DEMO4);
	GEEndMacro(PORT,MAC_DEMO3);	
	
/******* Showing Different Fonts Macro ******/
	GEBeginMacro(PORT,MAC_DEMO4);
		GEBlankRegion(PORT,0,0,30,320,240);
		GESetFont(PORT,1);
		GEPutText(PORT,"3 FONTS PRELOADED, Or load your own",80,0);
		GESetFont(PORT,1);
		GEPutText(PORT,"FONT 1, 6x8",140,60);
		GESetFont(PORT,2);
		GEPutText(PORT,"FONT 2, 12x16",80,70);
		GESetFont(PORT,3);
		GEPutText(PORT,"FONT 3, 17x35",40,86);
		GEDelayPlay(PORT,5000);
		GEPlayMacro(PORT,MAC_DEMO5);
	GEEndMacro(PORT,MAC_DEMO4);

/******* Displaying Buttons Macro *********/
	GEBeginMacro(PORT,MAC_DEMO5);
		GEBlankRegion(PORT,0,0,30,320,240);
		GESetFont(PORT,1);
		GEPutText(PORT,"    Display Buttons                 ",80,0);
		GELockBuffer(PORT,0);
		for (loop = 50 ; loop < 106 ; loop++) GEDisplayButton(PORT,loop);
		GELockBuffer(PORT,1);
		GEDelayPlay(PORT,5000);
		GEPlayMacro(PORT,MAC_DEMO);
	GEEndMacro(PORT,MAC_DEMO5);
	
}

/******** Defines links between button presses and Macro running ******/
void DefineLinks(void)
{
	GELinkBtnToMac(PORT,1,BTN_MENU,MAC_MENU);
	GELinkBtnToMac(PORT,1,BTN_EXIT1,MAC_MAIN);
	GELinkBtnToMac(PORT,1,BTN_FEATURES,MAC_FEATURES);
	GELinkBtnToMac(PORT,1,BTN_EXIT2,MAC_MENU);
	GELinkBtnToMac(PORT,1,BTN_BACKLIGHT,MAC_BACKLIGHT);
	GELinkBtnToMac(PORT,1,BTN_SUPPORT,MAC_SUPPORT);
	GELinkBtnToMac(PORT,1,BTN_BEEP,MAC_BEEP);
	GELinkBtnToMac(PORT,1,BTN_CONTRAST,MAC_CONTRAST);
	GELinkBtnToMac(PORT,1,BTN_CONTRAST1,MAC_CONTRAST1);
	GELinkBtnToMac(PORT,1,BTN_CONTRAST2,MAC_CONTRAST2);
	GELinkBtnToMac(PORT,1,BTN_CONTRAST3,MAC_CONTRAST3);
	GELinkBtnToMac(PORT,1,BTN_CONTRAST4,MAC_CONTRAST4);
	GELinkBtnToMac(PORT,1,BTN_CONTRAST5,MAC_CONTRAST5);
	GELinkBtnToMac(PORT,1,BTN_CONTRASTRES,MAC_CONTRASTRES);
	GELinkBtnToMac(PORT,1,BTN_REVERSE,MAC_REVERSE);
	GELinkBtnToMac(PORT,1,BTN_CLOCK,MAC_CLOCK);
	GELinkBtnToMac(PORT,1,BTN_DEMO,MAC_DEMO);
	GELinkBtnToMac(PORT,1,BTN_EXIT4,MAC_FEATURES);
}

/******** Main ******************/
main ()
{
	char Months[13][4] = {"   ","JAN","FEB","MAR","APR","MAY","JUN","JUL","AUG","SEP","OCT","NOV","DEC"};
	struct tm Time;
	char Packet[GE_NUMBER_PORTS][255];
	char DispTime[25];
	char yearHold;
	char 	monHold;
	char 	dayhold ;
	char 	hourHold;
	char 	minHold;
	char 	secHold;
	_sysIsSuperReset();
	VdInit();
	GEInit(PORT,BAUDRATE);
	tdelay(1500);
	GEStopMacro(PORT);
	GEBackLight(PORT,1);
	GESetContrast(PORT,35);
	if (sysIsSuperReset())
	{
		ClearOld();
		DefineBmps();
		DefineBtns();
		DefineMacs();
		DefineLinks();
	}
	
	GEPlayMacro(PORT,MAC_MAIN);
	
	for (;;)
	{	
		if (GEGetPckt(PORT,Packet[PORT]))
		{
			if (Packet[PORT][CMD] == 13)
			{
				switch (Packet[PORT][DATA0])
				{
					case BTN_CLOCK:
						GELockBuffer(PORT,0);
						GESetFont(PORT,3);
						GESendTod(PORT,&Time);
						
						yearHold = Time.tm_year;
						monHold = Time.tm_mon;
						dayhold = Time.tm_mday;
						hourHold = Time.tm_hour;
						minHold = Time.tm_min;
						secHold = Time.tm_sec;
						sprintf(DispTime,"%04d %s, %02d",yearHold + 1900,
																  Months[monHold],
																  dayhold);
						GEPutText(PORT,DispTime,48,95);
						sprintf(DispTime,"%02d : %02d : %02d",hourHold,minHold,secHold);
						GEPutText(PORT,DispTime,58,145);
						GELockBuffer(PORT,1);
					break;
					
					case BTN_YEARUP:
						yearHold++;
						sprintf(DispTime,"%04d %s, %02d",yearHold + 1900,
																  Months[monHold],
																  dayhold);
						GEPutText(PORT,DispTime,48,95);
					break;
					
					case BTN_YEARDN:
						yearHold--;
						sprintf(DispTime,"%04d %s, %02d",yearHold + 1900,
																  Months[monHold],
																  dayhold);
						GEPutText(PORT,DispTime,48,95);
					break;
					
					case BTN_MONTHUP:
						if (monHold < 12)
						{
							monHold++;
							sprintf(DispTime,"%04d %s, %02d",yearHold + 1900,
																	  Months[monHold],
																	  dayhold);
							GEPutText(PORT,DispTime,48,95);
						}
					break;
					case BTN_MONTHDN:
						if (monHold > 1)
						{
							monHold--;
							sprintf(DispTime,"%04d %s, %02d",yearHold + 1900,
																	  Months[monHold],
																	  dayhold);
							GEPutText(PORT,DispTime,48,95);
						}
					break;
					
					case BTN_DAYUP:
						if (dayhold < 31)
						{
							dayhold++;
							sprintf(DispTime,"%04d %s, %02d",yearHold + 1900,
																	  Months[monHold],
																	  dayhold);
							GEPutText(PORT,DispTime,48,95);
						}
					break;
					case BTN_DAYDN:
						if (dayhold > 1)
						{
							dayhold--;
							sprintf(DispTime,"%04d %s, %02d",yearHold + 1900,
																	  Months[monHold],
																	  dayhold);
							GEPutText(PORT,DispTime,48,95);
						}
					break;
					case BTN_HOURUP:
						if (hourHold < 23)
						{
							hourHold++;
							sprintf(DispTime,"%02d : %02d : %02d",hourHold,minHold,secHold);
							GEPutText(PORT,DispTime,58,145);
						}
					break;
					
					case BTN_HOURDN:
						if (hourHold > 0)
						{
							hourHold--;
							sprintf(DispTime,"%02d : %02d : %02d",hourHold,minHold,secHold);
							GEPutText(PORT,DispTime,58,145);
						}
					break;
					
					case BTN_MINUTEUP:
						if (minHold < 59)
						{
							minHold++;
							sprintf(DispTime,"%02d : %02d : %02d",hourHold,minHold,secHold);
							GEPutText(PORT,DispTime,58,145);
						}
					break;
					
					case BTN_MINUTEDN:
						if (minHold > 0)
						{
							minHold--;
							sprintf(DispTime,"%02d : %02d : %02d",hourHold,minHold,secHold);
							GEPutText(PORT,DispTime,58,145);
						}
					break;
					
					case BTN_SECONDUP:
						if (secHold < 59)
						{
							secHold++;
							sprintf(DispTime,"%02d : %02d : %02d",hourHold,minHold,secHold);
							GEPutText(PORT,DispTime,58,145);
						}
					break;
					
					case BTN_SECONDDN:
						if (secHold > 0)
						{
							secHold--;
							sprintf(DispTime,"%02d : %02d : %02d",hourHold,minHold,secHold);
							GEPutText(PORT,DispTime,58,145);
						}
					break;
					
					case BTN_SET:
						Time.tm_year = yearHold;
						Time.tm_mon  = monHold;
						Time.tm_mday = dayhold;
						Time.tm_hour = hourHold;
						Time.tm_min  = minHold;
						Time.tm_sec  = secHold;
						Time.tm_wday = 1;
						tm_wr(&Time);
						GESetTod(PORT,&Time);
						GEPlayMacro(PORT,MAC_FEATURES);
					break;
					
					case BTN_EXIT3:
						GEStopMacro(PORT);
						GEDisableBtnArea(PORT,1,64);
						GEPlayMacro(PORT,MAC_MENU);
					break;
					
				}
			}
		}
	}
}