/***  TestGetPckt.c 

	Sample demonstrates the ability to send data to the OP7100 at a high rate, and
	still have the ability to receive unsolicited responses.  This sample requires
	Version 1.01 of the gesuprt.lib to function properly
***/

#define	GE_USE_PORTZ1
//#define	GE_USE_PORTZ0
//#define	GE_USE_PORTA
//#define	GE_USE_PORTB

/**** Choose the baudrate here ****/
#define	BAUDRATE		9600

#use		GESUPRT.LIB						// support library for G.E.
#use		vdriver.lib						// virtual library

/**** These #ifdef statements choose the port from the above four selections ****/
#ifdef	GE_USE_PORTZ1
#define	PORT	GE_PORTZ1
#endif

#ifdef	GE_USE_PORTZ0
#define	PORT	GE_PORTZ0
#endif

#ifdef	GE_USE_PORTA
#define	PORT	GE_PORTA
#endif

#ifdef	GE_USE_PORTB
#define	PORT	GE_PORTB
#endif

char	Packet[255];

main ()
{
	int Chk;
	long cnt;
	char DispStr[25];
	char DispBtn[25];
	static int loop;
	static int btn;
	cnt = btn = 0;
	
	VdInit();
	GEInit(PORT,BAUDRATE);
	GESuperReset(PORT);
	GEClearScreen(PORT);
	GEDefineButton(PORT,		// Port To use
														1, 		// Button ID number
														0x5F, 	// Properties of button (See Function Desc. for details).
														1,			// Button Top left cell position
														10,		// Button Bottom right cell position
														0, 		// Bitmap ID number (if used)
														"BUTTON\nNUMBER\n1"	// Button text (if used)
														);
	GEDefineButton(PORT,		// Port To use
														2, 		// Button ID number
														0x5F, 	// Properties of button (See Function Desc. for details).
														4,			// Button Top left cell position
														13,		// Button Bottom right cell position
														0, 		// Bitmap ID number (if used)
														"BUTTON\nNUMBER\n2"	// Button text (if used)
														);
	GEDefineButton(PORT,		// Port To use
														3, 		// Button ID number
														0x5F, 	// Properties of button (See Function Desc. for details).
														7,			// Button Top left cell position
														16,		// Button Bottom right cell position
														0, 		// Bitmap ID number (if used)
														"BUTTON\nNUMBER\n3"	// Button text (if used)
														);
	GEDisplayButton(PORT,1);
	GEDisplayButton(PORT,2);
	GEDisplayButton(PORT,3);
	
	for (;;)
	{
		// This costate will display the last button pressed.
		costate
		{
			waitfor(GEGetPcktWF(PORT,Packet));
			// Check to see if it is a Button Command
			if ( Packet[CMD] == 13 )
			{
				sprintf(DispBtn,"Button Pressed = %d",Packet[DATA0]);
				waitfor(GEPutTextWF(PORT,DispBtn,0,120) );
			}
			// If not then I got a different packet
			else
			{
				printf( "Err GetPckt, Cmd Received -- $d\n",Packet[CMD] );
			}
		}
		// This costate will send Text to the Display every 100 milli-seconds
		costate
		{
			waitfor(IntervalMs(100));
			sprintf(DispStr,"Cnt = %07ld",cnt);
			waitfor(Chk = GEPutTextWF(PORT,DispStr,0,90) );
			// Check the error condition, if it is anything but a one then
			// an error occured.
			if (Chk != 1)
			{
				printf( "Err PutText -- %d\n", Chk );
			}
			cnt++;
		}
	}															
}